# counter-reset

Resets a counter to the specified value.

## Platform Support

IE | Netscape | Mozilla | Opera | Safari
--- | --- | --- | --- | ---
no | no | no | 7.0+ | no

## Usage

[counter-name] [reset-value]. Example values: chapter-subhead 0, chapter 1, etc.

## Values

* | Specify a value for counter-reset that is not on this list.
inherit | Inherit the value from the parent element.
none | No reset.

## Example

To specify a level-1 section heading with an incremented Roman numeral before each heading and that sets a counter called "section" to "1" each time it occurs, use the following syntax: `H1:before {counter(chapter, upper-roman); counter-increment: section; counter-reset section 1;}`.

## Availability

W3C CSS2

## Related

- a
- a:active
- a:focus
- a:hover
- a:link
- a:visited
- b
- blockquote
- body
- code
- div
- em
- fieldset
- form
- h1
- h2
- h3
- h4
- h5
- h6
- hr
- i
- input
- label
- legend
- li
- ol
- optgroup
- option
- p
- pre
- small
- span
- strong
- table
- td
- textarea
- th
- tr
- ul

text_css aptana_docs